<?php 
//Sube la nueva informacion de un piso que ya se encuentra en el servicio
$server = "localhost"; 
$username = "root"; 
$password = "opsivir"; 
$database = "prueba";

$con = mysql_connect($server, $username, $password) or die ("No se conecto: " . mysql_error());

 mysql_select_db($database, $con); 

 $idPiso  = mysql_real_escape_string($_POST["idPiso"]);
 $direccion  = mysql_real_escape_string($_POST["direccion"]);
 $zipcode  = mysql_real_escape_string($_POST["zipcode"]);
 $city  = strtolower(mysql_real_escape_string($_POST["city"]));
 $comments  = mysql_real_escape_string($_POST["comments"]);

 $resultados = array();

 $sql = mysql_query("UPDATE pisos SET direccion = '$direccion', ciudad = '$city', codigopostal = '$zipcode', comentarios = '$comments' WHERE idPiso = '$idPiso'");
 $resultados["mensaje"] = "Your data has been modified";
 	  	if (!$sql) {  
	 		die('Error: ' . mysql_error()); 
 	  	} else {    
	 		echo "Flat modified"; 
 		} 
 mysql_close($con);

 $resultadosJson = json_encode($resultados);
 echo $_GET['jsoncallback'] . '(' . $resultadosJson . ');'; 
 
 ?>